com.fasterxml.jackson.databind.cfg

## Class ConfigOverrides

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.ConfigOverrides

All Implemented Interfaces:
  Serializable

    public class ConfigOverrides
    extends Object
    implements Serializable

Container for individual `ConfigOverride` values.

Since:
  2.8
See Also:
  Serialized Form

### Field Summary

Fields
`protected JsonInclude.Value` `_defaultInclusion`
`protected Boolean` `_defaultMergeable`
`protected JsonSetter.Value` `_defaultSetterInfo`
`protected Map<Class<?>,MutableConfigOverride>` `_overrides` Per-type override definitions
`protected VisibilityChecker<?>` `_visibilityChecker`

### Constructor Summary

Constructors
`` `ConfigOverrides()`
`protected` `ConfigOverrides(Map<Class<?>,MutableConfigOverride> overrides, JsonInclude.Value defIncl, JsonSetter.Value defSetter, VisibilityChecker<?> defVisibility)`

### Method Summary

Methods
`protected Map<Class<?>,MutableConfigOverride>` `_newMap()`
`ConfigOverrides` `copy()`
`MutableConfigOverride` `findOrCreateOverride(Class<?> type)`
`ConfigOverride` `findOverride(Class<?> type)`
`JsonInclude.Value` `getDefaultInclusion()`
`Boolean` `getDefaultMergeable()`
`JsonSetter.Value` `getDefaultSetterInfo()`
`VisibilityChecker<?>` `getDefaultVisibility()`
`void` `setDefaultInclusion(JsonInclude.Value v)`
`void` `setDefaultMergeable(Boolean v)`
`void` `setDefaultSetterInfo(JsonSetter.Value v)`
`void` `setDefaultVisibility(VisibilityChecker<?> v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _overrides

    protected Map<Class<?>,MutableConfigOverride> _overrides

Per-type override definitions

#### _defaultInclusion

    protected JsonInclude.Value _defaultInclusion

Since:
  2.9

#### _defaultSetterInfo

    protected JsonSetter.Value _defaultSetterInfo

Since:
  2.9

#### _visibilityChecker

    protected VisibilityChecker<?> _visibilityChecker

Since:
  2.9

#### _defaultMergeable

    protected Boolean _defaultMergeable

Since:
  2.9

### Constructor Detail

#### ConfigOverrides

    public ConfigOverrides()

#### ConfigOverrides

    protected ConfigOverrides(Map<Class<?>,MutableConfigOverride> overrides,
                   JsonInclude.Value defIncl,
                   JsonSetter.Value defSetter,
                   VisibilityChecker<?> defVisibility)

### Method Detail

#### copy

    public ConfigOverrides copy()

#### findOverride

    public ConfigOverride findOverride(Class<?> type)

#### findOrCreateOverride

    public MutableConfigOverride findOrCreateOverride(Class<?> type)

#### getDefaultInclusion

    public JsonInclude.Value getDefaultInclusion()

#### getDefaultSetterInfo

    public JsonSetter.Value getDefaultSetterInfo()

#### getDefaultMergeable

    public Boolean getDefaultMergeable()

#### getDefaultVisibility

    public VisibilityChecker<?> getDefaultVisibility()

Since:
  2.9

#### setDefaultInclusion

    public void setDefaultInclusion(JsonInclude.Value v)

#### setDefaultSetterInfo

    public void setDefaultSetterInfo(JsonSetter.Value v)

#### setDefaultVisibility

    public void setDefaultVisibility(VisibilityChecker<?> v)

Since:
  2.9

#### setDefaultMergeable

    public void setDefaultMergeable(Boolean v)

Since:
  2.9

#### _newMap

    protected Map<Class<?>,MutableConfigOverride> _newMap()